@charset "UTF-8";


@import url('https://fonts.googleapis.com/css2?family=Changa+One:ital@0;1&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* Animazioni */

/* Preloader */
@keyframes beat {
    0% {
        transform: scale(0.90);
    }

    25% {
        transform: scale(1.2);
        border: 1px solid var(--accent-creative);

    }

    50% {
        transform: scale(0.90);

    }

    75% {
        transform: scale(1.2);
        border: 1px solid var(--accent-creative);

    }

    100% {
        transform: scale(0.90);

    }

}

/* Preloader END*/

/* Logo Animation */
@keyframes disco {
    from {
        transform: rotate(0);
    }

    to {
        transform: rotate(360deg);
    }
}

/*Under Line Animation */

@keyframes underlineAnimaction {
    from {
        width: 0px;
    }

    to {
        transform: scaleX(1);
        transform: scaleY(1.8);
    }

}

/* Card Hip Hop Animation */
@keyframes hiphopSpan {
    0% {
        transform: scale(1);
    }

    5% {
        transform: scale(1.2);
    }

    10% {
        transform: scale(1);
    }


    100% {
        transform: scale(1);
    }

}

/* Card Latino Animation */
@keyframes latinoSpan {

    0% {
        transform: translateY(-2px);
    }

    25% {
        transform: translateY(2px);

    }

    50% {
        transform: translateY(-2px);

    }

    75% {
        transform: translateY(2px);

    }


    100% {
        transform: translateY(-2px);

    }


}

/* Card Techno Animation */
@keyframes techno {


    0% {
        transform: scale(0.8);
    }

    25% {
        transform: scale(1.01);
    }

    50% {
        transform: scale(0.8);
    }

    75% {
        transform: scale(1.01);
    }


    100% {
        transform: scale(0.8);
    }

}

/* Card Techno Animation part 2  only span elemnt*/
@keyframes technoSpan {


    0% {
        transform: scale(1);
    }

    25% {
        transform: scale(1.2);
    }

    50% {
        transform: scale(1);
    }

    75% {
        transform: scale(1.2);
    }


    100% {
        transform: scale(1);
    }

}

/* Animazioni END */

/* Stili Generali */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* 
Usa per verificare cosa e fuori spazio
* {
    outline: 1px solid red;
} */

:root {

    --font-base: "Montserrat", sans-serif;
    --font-secondary: "Changa One", sans-serif;

    --fs-xs: 8px;
    --fs-sm: 12px;
    --fs-base: 16px;
    --fs-lg: 20px;
    --fs-xl: 24px;
    --fs-xxl: 28px;

    --h1-size: 2.2rem;
    --h1-size-tablet-p: 2.6rem;
    --h1-size-desk: 2.9rem;
    --h2-size: 1.8rem;
    --h3-size: 1.4rem;
    --h4-size: 1.1rem;

    --protrait-t-size: 18px;

    --space-xs: 4px;
    --space-sm: 8px;
    --space-md: 16px;
    --space-lg: 24px;
    --space-xl: 40px;
    --space-xxl: 60px;

    --font-size-base: 16px;
    --line-height-base: 1.6;
    --txt-center: center;
    --no-decoration: none;
    --under-line-h: 2px;
    --under-line-w: 180px;

    --btn-sm-w: 100px;
    --btn-sm-h: 30px;
    --btn-md-w: 120px;
    --btn-md-h: 40px;
    --btn-lg-w: 140px;
    --btn-lg-h: 60px;
    --btn-padding-sm: 4px;
    --btn-padding-md: 8px;
    --btn-padding-lg: 10px;
    --btn-padding-xl: 12px;
    --btn-border-xs: 2px;
    --btn-border-sm: 4px;
    --btn-border-md: 8px;

    /* Clori Preloader */
    --bg-dark: #0f0f0f;
    --accent-dark: hsl(179, 100%, 60%);
    --accent-creative: #fdcb6e;

    --color-border: #e5e5e5;
    --btnCta-Bg-color: #ffffff;
    --btnCta-color: #000;
    --btnPlayer-Bg-color: lime;
    --btnPlayer-color: #000;


    --hiphop-border: #696969;
    --hiphop-color: #FF4500;
    --hiphop-shadow: #8B0000;

    --latin-border: #FFC72C;
    --latin-color: #FFFF00;
    --latin-shadow: #ff5b0afd;




    --techno-border: #0000FF;
    --techno-color: #9ACD32;
    --techno-shadow: #00FFFF;
}



html {
    scrollbar-width: none;
}

html::-webkit-scrollbar {
    display: none;
}

body {
    font-family: var(--font-base);
    overflow: hidden;
    background-color: #000;
}

body.unlockScroll {
    overflow: auto;
}


/* Sezione Typography */

h1 {
    font-size: var(--h1-size);
    font-family: var(--font-secondary);
}

h2 {
    font-size: var(--h2-size);
    font-family: var(--font-secondary);
}

h3 {
    font-size: var(--h3-size);

}

h4 {
    font-size: var(--h4-size);
}

/* Typography END */

/*   preloader */

.container-heartbeat {
    position: fixed;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    opacity: 1;
    z-index: 3;
}

.container-heartbeat.is-invisible {
    opacity: 0;
    transition: opacity 0.6s ease-in-out;
}

.heart {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: var(--space-md);
}



.beat0 {

    animation-name: beat;
    animation-duration: 1.6s;
    animation-iteration-count: 2;
    animation-timing-function: ease-out;
    width: 15px;
    height: 15px;
    border: 1px solid var(--accent-dark);
    border-radius: 100%;

}

.beat1 {

    animation-name: beat;
    animation-duration: 1.3s;
    animation-delay: 0.2s;
    animation-iteration-count: 2;
    animation-timing-function: ease-in;
    width: 50px;
    height: 50px;
    border: 1px solid var(--accent-dark);
    border-radius: 100%;

}

.beat2 {
    animation-name: beat;
    animation-duration: 1.3s;
    animation-delay: 0.4s;
    animation-iteration-count: 2;
    animation-timing-function: ease-in;
    width: 100px;
    height: 100px;
    border: 1px solid var(--accent-dark);
    border-radius: 100%;

}

.beat3 {
    animation-name: beat;
    animation-duration: 1s;
    animation-delay: 0.6s;
    animation-iteration-count: 2;
    animation-timing-function: ease-in;
    width: 150px;
    height: 150px;
    border: 1px solid var(--accent-dark);
    border-radius: 100%;

}

.beat4 {
    animation-name: beat;
    animation-duration: 1s;
    animation-delay: 0.8s;
    animation-iteration-count: 2;
    animation-timing-function: ease-in-out;
    width: 200px;
    height: 200px;
    border: 1px solid var(--accent-dark);
    border-radius: 100%;

}

/*   preloader END*/


/* Sezione Header */
.flyer_container {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.flyer {
    max-width: 520px;
    display: grid;
    grid-template-columns: repeat(1, auto);
    grid-template-rows: auto;
    background-color: #000;
    color: #ffffff;
    gap: var(--space-lg);
    padding: var(--space-sm);
    opacity: 0;
    transform: scale(0.98);
    transform-origin: top;
}

.flyer.is-visible {
    opacity: 1;
    transform: scale(1);
    transition: opacity 0.6s ease-in, transform 0.6s ease-in;

}

.header-container {

    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


.header-logo {
    max-width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: var(--space-lg);
}

figure {
    max-width: 80px;
    max-height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: var(--space-md);
    font-family: var(--font-secondary);
    text-align: center;
    padding: var(--space-md);
}

img {
    width: 60px;
    height: 60px;
    align-self: center;
}

img.rotaction {
    animation-name: disco;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

figcaption {
    max-width: 80px;
}

.header-info {
    margin-top: var(--space-md);
    padding: var(--space-sm);
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-direction: column;
    line-height: var(--line-height-base);

}


.header-info p:nth-of-type(2) {
    font-family: var(--font-secondary);
    font-size: 1.3rem;

}

/* Fine Header */

/* Sezione Hero */

#flyer-hero {
    margin-top: var(--space-md);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: var(--space-md);
}


.header-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: var(--txt-center);
    gap: var(--space-sm);

}

.header-title .under-line {

    height: var(--under-line-h);
    width: var(--under-line-w);
    background-color: var(--color-border);
}

.header-title .under-line:first-of-type {
    animation-name: underlineAnimaction;
    animation-duration: 1.6s;
    animation-delay: 3.5s;
    animation-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

.btn-cta {
    width: var(--btn-sm-w);
    height: var(--btn-sm-h);
    background-color: var(--btnCta-Bg-color);
    font-family: var(--font-secondary);
    color: var(--btnCta-color);
    text-decoration: var(--no-decoration);
    text-align: var(--txt-center);
    padding: var(--btn-padding-sm);
    border-radius: var(--btn-border-md);
    white-space: nowrap;
}

/* End Sezione Hero */

/* Sezione lineup */
#flyer-lineup {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: var(--space-md);
}

.lineup-title {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: var(--space-sm);
}

.title-info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: var(--space-sm);
    text-align: center;
}

.lateral-line {
    width: 100px;
    height: 2px;
    background-color: var(--color-border);
}

.container-playerMusic {
    display: flex;
    flex-direction: column;
    gap: var(--space-md);
    border: 1px solid var(--color-border);
    padding: var(--space-md);
    border-radius: var(--btn-border-md);

}

.cta-player {
    cursor: pointer;
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    align-self: center;
    gap: 10px;
    height: var(--btn-lg-h);
    width: var(--btn-lg-w);
    padding: var(--btn-border-sm);
    border-radius: var(--btn-border-md);
    background-color: var(--btnCta-color);
    border: 1px solid #00ff00;
    color: #ffffff;
    transition: color 0.6s ease-in-out,
        box-shadow 0.6s ease-in-out,
        transform 0.6s ease-in-out,
        background-color 0.6s ease-in-out;

}

/* Animated fill effect */
.cta-player::before {
    content: "";
    position: absolute;
    inset: 0;
    /* grande quanto il bottone */
    background-color: #00ff00;

    transform: scaleY(0);
    /* schiacciato */
    transform-origin: bottom;
    /* cresce dal basso */
    transition: transform 0.6s ease-out;
    z-index: 0;
}

/* calssse che ingradinsce il liquido */
.cta-player.is-playing::before {
    transform: scaleY(1);
}

/* classe da applicare al btn */
.cta-player.is-playing {
    color: #000;
    background-color: transparent;
    /* il verde lo fa il ::before */
}

.cta-player:hover {
    box-shadow: 0px -1px 8px 1px #00ff00;

}

.cta-player:focus-visible {
    color: #00ff00;
    outline: none;
    box-shadow: 0px 0px 5px 2px #c3e9c3;
}

.cta-player:active {
    transform: scale(0.9);
}

.cta-player i {
    font-size: var(--h3-size);
    z-index: 1;
}




.container-dj-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: var(--space-md);
}


.dj-card {
    cursor: pointer;
    border: 1px solid var(--color-border);
    border-radius: var(--space-xs);
    padding: var(--space-xs);
    transition: opacity 0.3s ease, border-color 0.3 ease;
}


.dj-card[data-genre="hiphop"] {
    border: 1px solid var(--hiphop-border);
    color: var(--hiphop-color);
    box-shadow: 0px 0px 4px 4px var(--hiphop-shadow);
}


.dj-card[data-genre="latino"] {
    border: 1px solid var(--latin-border);
    color: var(--latin-color);
    box-shadow: -2px 0px 16px 3px var(--latin-shadow);
}

.dj-card[data-genre="techno"] {
    border: 1px solid var(--techno-border);
    color: var(--techno-color);
    box-shadow: 0px 0px 0px 2px var(--techno-shadow);
}

.dj-card.is-active {
    padding: var(--space-sm);
    font-family: var(--font-secondary);
}


.dj-card[data-genre="hiphop"].is-active {
    box-shadow: 0px 0px 4px 8px var(--hiphop-shadow);
}

.dj-card[data-genre="hiphop"].is-active>span {
    display: inline-block;
    animation-name: hiphopSpan;
    animation-duration: 10s;
    animation-iteration-count: 5;
    animation-timing-function: ease-in-out;
}

.dj-card[data-genre="latino"].is-active {
    box-shadow: -2px 0px 16px 6px var(--latin-shadow);
}

.dj-card[data-genre="latino"].is-active>span {
    display: inline-block;
    animation-name: latinoSpan;
    animation-duration: 3.5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}


.dj-card[data-genre="techno"].is-active {
    box-shadow: 0px 0px 0px 4px var(--techno-shadow);
    animation-name: techno;
    animation-duration: 2s;
    animation-iteration-count: 9;
    animation-timing-function: cubic-bezier(0.7, 0.82, 0.165, 0.82);
}

.dj-card[data-genre="techno"].is-active>span {
    display: inline-block;
    animation-name: technoSpan;
    animation-delay: 18s;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(0.7, 0.82, 0.165, 0.82);
}



/* prende solo le classi senza is-active */
.dj-card:not(.is-active) {
    opacity: 0.75;
}

/* End lineup */

/* informazioni liste tavoli prezzo */

#flyer-info {
    padding: var(--space-md);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: var(--space-sm);
}



.general-info {
    line-height: 1.4;
    border: 1px solid rgba(255, 255, 255, 0.3);
    padding: var(--space-sm);
    border-radius: var(--space-sm);
}

.info-card span::before {
    content: "•";
}

.info-card span {
    display: block;
}

.btn-cta-info {
    width: var(--btn-md-w);
    height: var(--btn-sm-h);
    padding: var(--btn-padding-sm);
    border-radius: var(--btn-border-sm);
    background-color: var(--btnCta-Bg-color);
    font-family: var(--font-secondary);
    text-align: var(--txt-center);
    color: var(--btnCta-color);
    text-decoration: var(--no-decoration);
    white-space: nowrap;
}

/* informazioni liste tavoli prezzo End*/

#flyer-footer {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-container {
    display: flex;
    gap: var(--space-sm);
    margin-bottom: var(--space-md);
}

.social-container a {

    color: #ffffff;
}

/* Error Page */


.error-page {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    text-align: center;
    padding: 2rem;
    background-color: var(--bg-dark);
}

.error-page h1 {
    font-size: 5rem;
    color: var(--btnCta-Bg-color);
}

.error-page h2 {
    color: var(--btnCta-Bg-color);
}

.error-page p {
    max-width: 450px;
    color: var(--btnCta-Bg-color);
}

.error-page .btn-cta {
    width: var(--btn-lg-w);
    background-color: var(--btnCta-Bg-color);
    color: var(--bg-dark);

}


@media screen and (min-width:768px) {

    h1 {
        font-size: var(--h1-size-tablet-p);
    }

    p {
        font-size: var(--protrait-t-size);
    }

    span {
        font-size: var(--protrait-t-size);
    }

    .flyer {
        width: 100%;
        max-width: 1023px;
        gap: var(--space-xl);
    }

    .header-logo {
        max-width: 120px;
        max-height: 120px;

    }

    img {
        max-width: 100%;
        height: auto;
    }

    #flyer-hero {

        gap: var(--space-lg);
    }


    .header-title {

        gap: var(--space-md);

    }

    .btn-cta {
        width: var(--btn-md-w);
        height: var(--btn-md-h);
        padding: var(--btn-padding-xl);
    }

    .container-playerMusic {
        gap: var(--space-lg);
        padding: var(--space-lg);

    }

    .general-info:not(.title-info) {
        padding: var(--space-md);
        line-height: 1.5;
    }

    #flyer-info {

        gap: var(--space-md);
    }

    .btn-cta-info {
        width: var(--btn-lg-w);
        height: var(--btn-md-h);
        padding: var(--btn-padding-lg);

    }

    .social-container {
        gap: var(--space-xl);
    }

    .social-container a {
        font-size: 20px;
    }
}

@media screen and (orientation: landscape) and (min-width:1024px) {




    .flyer {
        width: 100%;
        max-width: 1280px;
        grid-template-columns: repeat(2, 1fr);
    }

    #flyer_header {
        grid-column: 1/3;
        grid-row-start: 1;

    }

    #flyer-hero {
        grid-column: 1/3;

    }

    #flyer-info {
        grid-column: 1/2;
        grid-row-start: 3;

    }

    #flyer-lineup {
        grid-column: 2/3;
        grid-row-start: 3;
        justify-content: flex-start;
        margin-top: var(--space-md);
    }

    #flyer-footer {
        grid-column: 1/3;

    }

    .error-page .btn-cta {
        display: flex;
        align-items: center;
        font-size: var(--fs-lg);
    }

}

@media screen and (orientation: landscape) and (min-width:1024px) {

    h1 {
        font-size: 2.9rem;
    }

    .container-dj-info {
        gap: var(--space-lg);
    }

    .social-container {
        gap: var(--space-xxl);

    }
}

@media (prefers-reduced-motion: reduce) {

    *,
    *::before,
    *::after {

        animation: none !important;
        transition: none !important;
        scroll-behavior: auto !important;

    }

}